import React from "react";
import { useState, useEffect } from "react";

import Layout from "./component/Layout";
import List from "./component/List";
import Thread from "./component/Thread";
import Search from "./component/Search";

export default function Index() {
  const [query, setQuery] = useState("tag:inbox");
  const leftup = <Search setQuery={setQuery} />;

  const [threads, setThreads] = useState({
    count: 0,
    threads: [],
  });
  useEffect(() => {
    console.log(query);
    fetch(`/search/${query}/0/30`)
      .then((response) => response.json())
      .then(
        (data) => setThreads(data),
        (error) => console.log(error)
      );
  }, [query]);

  const [thread, setThread] = useState("");
  const [threadSpec, setThreadSpec] = useState({ message_ids: [] });
  useEffect(() => {
    if (thread == "") {
      return;
    }
    console.log(threads);
    fetch(`/thread/${thread}`)
      .then((response) => response.json())
      .then(
        (data) => setThreadSpec(data),
        (error) => console.log(error)
      );
  }, [thread]);

  const left = <List items={threads.threads} setThread={setThread} />;
  const right = <Thread spec={threadSpec} />;
  return <Layout leftup={leftup} left={left} right={right}></Layout>;
}
