import React from "react";

import { Chip, List, ListItem, ListItemText } from "@material-ui/core";

export default ({ items = [{}], setThread }) => {
  const handleThreadChange = (e, thread) => {
    e.preventDefault();
    setThread(thread.thread_id);
  };

  const list = items.map((i) => (
    <ListItem button dense key={i.thread_id}>
      <ListItemText
        primary={i.subject}
        secondary={i.tags.map((tag) => (
          <Chip size="small" label={tag} />
        ))}
        onClick={(e) => handleThreadChange(e, i)}
      />
    </ListItem>
  ));
  return <List>{list}</List>;
};
