import React from "react";
import { useState, useEffect } from "react";
import {
  Button,
  Card,
  CardActionArea,
  CardContent,
  Chip,
  Divider,
  Typography,
} from "@material-ui/core";

export default ({ messageId }) => {
  const [message, setMessage] = useState({
    tags: [],
    from: "",
    to: "",
    cc: "",
    bcc: "",
  });
  useEffect(() => {
    fetch(`/message/${encodeURIComponent(messageId)}`)
      .then((response) => response.json())
      .then(
        (data) => setMessage(data),
        (error) => console.log(error)
      );
  }, []);

  function body(message) {
    return { __html: message.body };
  }

  const chips = message.tags.map((tag) => {
    return <Chip size="small" label={tag} />;
  });
  return (
    <Card key={messageId}>
      <CardContent>
        <Typography variant="h5" component="h2">
          {message.subject}
        </Typography>
        <div>
          From: {message.from}
          <br />
          To: {message.to}
          <br />
        </div>
        <div>{chips}</div>
        <Divider />
        <div dangerouslySetInnerHTML={body(message)}></div>
      </CardContent>
      <CardActionArea>
        <Button color="primary">Reply</Button>
      </CardActionArea>
    </Card>
  );
};
