import React from "react";
import { useState, useEffect } from "react";

import { Container, TextField } from "@material-ui/core";
import { Autocomplete } from "@material-ui/lab";

export default ({ setQuery }) => {
  const [search, setSearch] = useState(["tag:inbox"]);

  function handleSearchChange(_event, value) {
    setSearch(value);
    setQuery(value.join(" "));
  }

  const [options, setOptions] = useState([]);
  const handleSubSearchChange = (_event, value, _reason) => {
    const [kind, ...q] = value.split(":");
    if (q.length == 0) {
      return;
    }
    const qq = q.join(":");
    fetch(`/autocomplete/${kind}/${qq}`)
      .then((response) => response.json())
      .then(
        (data) => {
          if (data) {
            setOptions(data.results || []);
          }
        },
        (error) => console.log(error)
      );
  };

  const [autocomplete, setAutocomplete] = useState("");
  useEffect(() => {
    setAutocomplete(
      <Autocomplete
        multiple
        id="search"
        autoselect="true"
        freeSolo="true"
        value={search}
        onChange={handleSearchChange}
        onInputChange={handleSubSearchChange}
        options={options}
        renderInput={(params) => (
          <TextField {...params} label="query" variant="outlined" />
        )}
        size="small"
      />
    );
  }, [options, search]);

  return autocomplete;
};
